Subject: Re: linux-next: build failure after merge of the security tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 30 Jul 2020 15:03:22 +1000

Hi Stephen,

On Thu, 30 Jul 2020 12:59:04 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Hi James,
> 
> On Thu, 30 Jul 2020 12:35:03 +1000 (AEST) James Morris <[email-masked]> wrote:
> >
> > On Thu, 30 Jul 2020, Stephen Rothwell wrote:
> >   
> > > > I am still applying the above patch ...    
> > > 
> > > The merge window is coming up fast ... is anything happening about this
> > > failure?    
> > 
> > A new patch is coming, but I'm not sure this code has had enough review 
> > from the core VFS folk.
> > 
> > Please drop secure_uffd_v5.9 for the time being.  
> 
> You just need to remove/revert it from your security tree
> (git://git.kernel.org/pub/scm/linux/kernel/git/jmorris/linux-security.git#next-testing).

In today's linux-next I have reverted the three commits in that branch:

d08ac70b1e0d Wire UFFD up to SELinux
2b72259a271a Teach SELinux about anonymous inodes
2749d3f84a70 Add a new LSM-supporting anonymous inode interface

-- 
Cheers,
Stephen Rothwell